Ubuntu

Random log off in Ubuntu 12.04 LTS

Reported by Fabien H. Dumay on 2012-04-13
860
This bug affects 184 people
Affects Status Importance Assigned to Milestone
Unity
Undecided
Unassigned
Fedora
New
Undecided
Unassigned
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned
xorg (Ubuntu)
Undecided
Unassigned

Bug Description

I get logged off from Ubuntu sometimes. There is no error message or any indication that it is going to log off. The screen goes black, and after 2-4 seconds, i get presented with the Ubuntu Log On Screen.

There is no clear pattern (or at least if have not noticed any). One time i am working with Netbeans, another time i am using firefox. This also means that at present i can not clearly say what package might be causing this behaviour.

I am fairly sure the problem lies in 12.04 (or more precise - the combination of 12.04 and the hardware i am using). I do not have the same problem running 11.04 or 11.10.

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/980519/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment

I also suffer with this exact bug after upgrading from 11.10

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Steve Goddard (ste-goddard) wrote :

Well, I can get this logout bug to happen all the time when watching stuff on you tube. I have tried both FireFox and Chrome and get the same results.

However I have also had this happen when not watching videos, its just that it happens every time I watch a video.

Tom (trsaunders) wrote :

I have the same problem, but it only happens to be on startup. My system is set to automatically log in.

When I first turn on my machine, it logs in and I am able to launch programs etc. after a short while (maybe a minute or two) I notice some strange graphical artifacts near the top of the screen, it is hard to describe but something along the lines of a few rows of blinking rectangles. I then get logged out, after which I can log back in and I have no further problem.

I have no idea what package might have caused this.

Interesting ! I have had that too. Mine looked like a garbled shell. I
could see chars appear when I typed but it wast A-Z text that was displayed.

I have read today that it could be X server that is crashing which results
in the login screen being shown.

When I get home I will check the Xorg.0.log file in /var/log for errors.

Cheers

On 17 April 2012 14:45, Tom <email address hidden> wrote:

> I have the same problem, but it only happens to be on startup. My system
> is set to automatically log in.
>
> When I first turn on my machine, it logs in and I am able to launch
> programs etc. after a short while (maybe a minute or two) I notice some
> strange graphical artifacts near the top of the screen, it is hard to
> describe but something along the lines of a few rows of blinking
> rectangles. I then get logged out, after which I can log back in and I
> have no further problem.
>
> I have no idea what package might have caused this.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/980519
>
> Title:
> Random log off in Ubuntu 12.04 LT Beta
>
> Status in Ubuntu:
> Confirmed
>
> Bug description:
> I get logged off from Ubuntu sometimes. There is no error message or
> any indication that it is going to log off. The screen goes black, and
> after 2-4 seconds, i get presented with the Ubuntu Log On Screen.
>
> There is no clear pattern (or at least if have not noticed any). One
> time i am working with Netbeans, another time i am using firefox. This
> also means that at present i can not clearly say what package might be
> causing this behaviour.
>
> I am fairly sure the problem lies in 12.04 (or more precise - the
> combination of 12.04 and the hardware i am using). I do not have the
> same problem running 11.04 or 11.10.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+bug/980519/+subscriptions
>

This bug has also stung me many times. It seems to happen at any time, one time it happened when I was away from my computer. It felt like X (or another process) was getting killed because it happened with no warning and was more-or-less instant. Though I can't confirm this, it *seems* like Unity 2D is not affected by this problem.

Alec Taylor (alecjtaylor) wrote :

This bug is affecting me as well. I'm running the stable Nvidea drivers on 64 bit machine. It appears to happen most when using chrome. The bug has also appeared under gnome 3.

Nick Verlinde (nick-verlinde) wrote :

I also experience this problem, The last 2 times I've had it were

- watching a video in chrome (youtube)
- coming back after leaving the computer idle, I type my password and saw my desktop for about 2 seconds and then it logged me off.

I don't know if it's relevant to the developers but I actually also get the little logoff sound. As in a proper logoff, rather than crashing to login screen?

Nick Verlinde (nick-verlinde) wrote :

I'm also using nvidia if that is relevant

Lee Quarella (lee-lucidfrog) wrote :

Fresh ubuntu install on a clean SSD. nvidia. Have not been able to determine any pattern to it, but will crash from 1-5 times over the course of a workday.

Looks like the pattern here is 64bit 12.04 with nvidia drivers mostly
playing video in chrome or Firefox.
On Apr 24, 2012 2:45 PM, "Lee Quarella" <email address hidden> wrote:

> Fresh ubuntu install on a clean SSD. nvidia. Have not been able to
> determine any pattern to it, but will crash from 1-5 times over the
> course of a workday.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/980519
>
> Title:
> Random log off in Ubuntu 12.04 LT Beta
>
> Status in Ubuntu:
> Confirmed
>
> Bug description:
> I get logged off from Ubuntu sometimes. There is no error message or
> any indication that it is going to log off. The screen goes black, and
> after 2-4 seconds, i get presented with the Ubuntu Log On Screen.
>
> There is no clear pattern (or at least if have not noticed any). One
> time i am working with Netbeans, another time i am using firefox. This
> also means that at present i can not clearly say what package might be
> causing this behaviour.
>
> I am fairly sure the problem lies in 12.04 (or more precise - the
> combination of 12.04 and the hardware i am using). I do not have the
> same problem running 11.04 or 11.10.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+bug/980519/+subscriptions
>

My system just crashed - i provide you with the Xorg log files (before/after if i am correct) - i found a segmentation fault in the log - maybe it helps

Steve Goddard (ste-goddard) wrote :

Ok, this just happened again when using google maps. I did an ls -lahtr /var/log to get the latest logs that had been written and found this near the bottom of the syslog:-

Apr 25 18:15:47 xeon8 gnome-session[16407]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.#012
Apr 25 18:15:48 xeon8 bluetoothd[944]: Endpoint unregistered: sender=:1.219 path=/MediaEndpoint/HFPAG
Apr 25 18:15:48 xeon8 bluetoothd[944]: Endpoint unregistered: sender=:1.219 path=/MediaEndpoint/A2DPSource
Apr 25 18:15:48 xeon8 bluetoothd[944]: Endpoint unregistered: sender=:1.219 path=/Media
Apr 25 18:15:51 xeon8 acpid: 1 client rule loadedEndpoint/A2DPSink
Apr 25 18:15:49 xeon8 acpid: client 16254[0:0] has disconnected
Apr 25 18:15:49 xeon8 acpid: client 16254[0:0] has disconnected
Apr 25 18:15:49 xeon8 acpid: client connected from 5665[0:0]
Apr 25 18:15:49 xeon8 acpid: 1 client rule loaded
Apr 25 18:15:51 xeon8 acpid: client connected from 5665[0:0]
Apr 25 18:15:57 xeon8 rtkit-daemon[1823]: Recovering from system lockup, not allowing further RT threads.

Attached is the full syslog.

Karl Wenzel (karl-210) wrote :

I have this same problem, I haven't had it for a while though until today. I was using firefox at the time and just as I clicked on the youtube link from google's homepage the screen suddenly goes black, and then the log in screen appears. I don't know if it helps, but I'm using Ubuntu 12.04 LTS 64-bit (the latest release) with up-to-date amd video drivers.

Travis Pew (travisp) wrote :

This happens to me frequently. I am on Ubuntu 12.04 and using nvidia drivers. It does not occur when I'm watching video -- it last occurred simply while entering text in VIM (and no video playing).

Anthony Pellegrino (xc8118) wrote :

Also using nvidia driver -- crashes when playing any type of media through firefox/chrome

Kym-mcgain (kym-mcgain) wrote :

Also in addition to Steve Goddard's post, before the like of Gdk-Warning: gnome-session: Fatal IO error 11, there was this line in my log.
kernel: [21828.132603] Xorg[12291]: segfault at b4fca00
0 ip b4928e66 sp bffa8840 error 7 in nvidia_drv.so[b4850000+706000]

Hopefully that can narrow the problem down a bit.

Thomas Norton (tomwnorton) wrote :

I have the same problem. I'm running the 32-bit release version on a 64-bit machine with AMD and NVIDIA.

Here's my xorg log:

[ 70720.692]
Backtrace:
[ 70720.692] 0: /usr/bin/X (xorg_backtrace+0x37) [0xb7741f87]
[ 70720.692] 1: /usr/bin/X (0xb75ba000+0x18bd0a) [0xb7745d0a]
[ 70720.692] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb759740c]
[ 70720.692] 3: /usr/lib/i386-linux-gnu/xorg/extra-modules/nvidia_drv.so (0xb4821000+0xd472a) [0xb48f572a]
[ 70720.692] Segmentation fault at address 0xb4f97000
[ 70720.692]
Caught signal 11 (Segmentation fault). Server aborting

muhalifsirin (alperense) wrote :

This happens to me every 15 minutes. It is driving me crazy.

i have Nvidia card.

Pivix (pivix) wrote :

I also have this problem, my card is nvidia and im using Opera browser. but i have notices it not happens when I`m running unity in 2d mode.

no longer affects: indicator-bug
jsb (ballez-js) wrote :

I am also affected.
64-bit architecture. It happens in both fresh install and upgrade to 12.04.

it can happen in different apps: Firefox, geany and others.
I am usually sent back to the login screen without any prior notice but on some occasions the screen freezes and only the mouse stays responsive, but of course those two behaviours could be unrelated.

bug#990693 could be a duplicate.

jsb (ballez-js) wrote :
Mafoof (m3ttcew) wrote :

To corroborate what others have been saying, I'm also using 12.04 (*Just* reinstalled over the Beta 2 version, no more crashes so far, but haven't watched any videos) with the Nvidia binary drivers and it mostly happens when watching Flash video.

Mafoof (m3ttcew) wrote :

Just to update, this bug has again hit me on my fresh install of *post-release* 12.04. Happened when a flash video was playing.

Nick Verlinde (nick-verlinde) wrote :

I'm also still getting this in 12.04

switching to ubuntu 2d removed the problem

danrgmc (danrgmc-yahoo) wrote :

I'm having similar problems with xorg-randomly the graphical session terminates and returns to the login screen.
Ubuntu 12.04_amd64-LTR.
Intel I5-750 CPU quad, no hyperthread
Asus P7P55D-E mobo
WD Caviar 1 tb hdd
WD 160 gb ide hdd-am using this for 12.04 right now.
8gb ram
9800GT GPU-295.40 Nvidia drivers
Seasonic 650w 'gold' PSU
Triple boot: Ubuntu 11.10_amd64, Windows 7 Professional amd64, Ubuntu 12.04_amd64
Temps all in spec.

This is the 1st time I've ever done a clean install which is pretty much unuseable.

I have the same issue. I have an NVIDIA card. I tried manually reverting to a previous video driver to no avail.

James Cotten (pastorjamesc) wrote :

It is happing here too. (LOL, it actually happened as I was trying to type this.) It seems to be especially bad when playing facebook or Kabam games. Also NVIDIA card, 32-bit system.

Rolo (rolo-wildfish) wrote :

Just had this today. Clean install of 12.04 AMD64. Am using nvidia additional driver marked as "post-release updates". Going to switch to "version-current" and see if it helps.

My hardware:

Intel Core i7 930
Gigabyte GA-X58A-UD7
Patriot Viper 6GB (3x2GB) DDR3 PC3-12800C9 (1600MHz)
BFG GeForce 9800 GTX OCX 512MB GDDR3
OCZ Vertex 2 SSD

Please shout if any more info would be helpful. Thanks.

Rolo (rolo-wildfish) wrote :

No, still happens with "version-current" driver. Just incase anyone needed to know.

Igor Korcek (korcek-igor) wrote :

I have this same problem! It's so annoing... I hoped that LTS version will be more stable but its horor! Even developing version is more stable. So much bugs and problems with current version...

Anyway, i have this specs:
AMD Athlon(tm) II X2 240
Asrock N68PV-GS
4GB RAM
Zotac Geforce 250 GTS

Maybe it's related to Geforce driver cause 9800GTX is the same card just older type. But i am not sure. And it's not architecture depedent, i have 32 bit.

Igor Korcek (korcek-igor) wrote :

Ok, i tried install NVIDIA drivers... here is the really good problem. I can't go to the terminal with ctrl+alt+f1 key but i can go back to X. It's very strange... but maybe it's related.

Alex Mishovsky (beulih) wrote :

Ubuntu 12.04 seems buggy as hell with NVidia drivers. I built a new system with a 9500GT card and two monitors in anticipation of the 12.04 release. I couldn't work more than a couple of minutes at a time in Unity 3D before a complete freeze. Additionally, while logging in I would often get artifacts at the top of the screen. Switching to Unity 2D made the freezes less frequent but they still happened.

Finally I got fed up. I am interested in using this system for actual work as opposed to beta testing for the Ubuntu devs, so I threw in a 8500GT card that I had sitting on the shelf. It doesn't freeze up any more even in Unity 3D mode, but about every couple of hours it just completely logs me out. I'm fairly certain I have the same bug mentioned by others in this thread. Logs show this right before the surprise logout:

May 3 23:09:39 zsasz kernel: [10015.085461] NVRM: Xid (0000:01:00): 6, PE0001
May 3 23:09:39 zsasz kernel: [10015.265387] Xorg[5235]: segfault at 68 ip 00007f67d09f30f9 sp 00007fff9436f1b0 error 4 in nvidia_drv.so[7f67d0991000+6e1000]
May 3 23:09:39 zsasz acpid: client 5235[0:0] has disconnected
May 3 23:09:39 zsasz acpid: client 5235[0:0] has disconnected

Tomorrow when I get time I will try downgrading to the 295.33 drivers (I am currently running 295.49). Googling Ubuntu 12.04 nvidia problem gives about 500,000 results, so I'm kicking myself for not waiting another few months to upgrade. So much for "LTS", lol...

Snahrck (hansenclever) wrote :

Also have this problem. GeForce 9800 GT and fresh install. Ocurred many times, once using netbeans, once using chrome, once using firefox...
and also cannot ctlr+alt+f1.

Snahrck (hansenclever) wrote :

Forgot to say that I'm using 32bit version.

chicom9 (chicom9) wrote :

yes same bug here system completely logs me off without any warning. I am running:
3.2.0-24-generic #37-Ubuntu SMP Wed Apr 25 08:43:22 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Before moving to this ridiculous 12.04 LTS i was running 10.10 which worked perfectly no issues what so ever. My system is a Dell Precision T5400 with a Nvidia card G86 [Quadro NVS 290] (rev a1). I never experience any problems at all on 10,10. I figured i could upgrade to 12.04 thinking it will be stable. I hate unity and I am running Gnome-shell. I really hope this problem gets resolved being that i use this system primarily for work.

I did do a BIOS update on my T5400, been that prior to this my machine will completely freeze and will dump the following error:

kernel: [ 8040.563164] NVRM: GPU at 0000:02:00.0 has fallen off the bus.

After the BIOS upgrade i had not received this error. However I do get kicked out of my gnome session :(

chicom9 (chicom9) wrote :

Update # #

following instructions here:
http://reformedmusings.wordpress.com/2012/04/28/warning-about-ubuntu-12-04-lts-precise-and-nvidia-cards/

added driver NVIDIA-Linux-x86_64-295.33.run

But it fails same error message system freezes and i get:

kernel: [ 8040.563164] NVRM: GPU at 0000:02:00.0 has fallen off the bus.

At this point i'm going to try a newer version from nvidia site:

http://www.nvidia.com/object/linux-display-amd64-295.49-driver.html

I will let you guys know...

chicom9 (chicom9) wrote :

Update 3

At this point with driver 295.49 i experience the same issue in where i get kicked out of my gnome session. This time the machine did not freeze, but I am back with the same bug of logging me off.

I guess my next attempt is to role back to either 10.10 or maybe just try a different distro such as Debian.

this suxs....

Lars Jarlvik (lars-jarlvik) wrote :

According to phoronix nVidia has release a 302 beta, has anyone tried this one and go any results if the issue is fixed here?

Victor (victor-pillac) on 2012-05-09
summary: - Random log off in Ubuntu 12.04 LT Beta
+ Random log off in Ubuntu 12.04 LTS
Changed in ubuntu:
status: Confirmed → In Progress
status: In Progress → Confirmed
David Edwards (purple52) on 2012-05-11
affects: ubuntu → xorg (Ubuntu)
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
Máté Eckl (ecklm) on 2012-05-13
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → Máté Eckl (ecklm)
assignee: Máté Eckl (ecklm) → nobody
nr (send-me-spam22) on 2012-06-25
security vulnerability: no → yes
visibility: public → private
Marc Ros (dead6999) on 2012-06-25
security vulnerability: yes → no
security vulnerability: no → yes
Max Bowsher (maxb) on 2012-06-26
security vulnerability: yes → no
visibility: private → public
todaioan (alan-ar06) on 2012-09-11
Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Invalid
status: Invalid → Confirmed
Changed in xorg (Ubuntu):
status: Confirmed → Fix Released
Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Fix Released
Changed in unity:
status: New → Fix Released
87 comments hidden view all 167 comments
Huseyin (hkucuktas) wrote :

I did exactly what #124 provided, problem still exists. Dell T5400, Nvida, double monitor.

Ben Kuhn (ben-s-kuhn) wrote :

This issue has become even more frequent recently. Xorg now segfaults every 3-4 suspends. I also frequently get popups saying "A system problem has been detected" (haven't observed any ill effects with these, though). I have a Thinkpad T520 with Intel HD 4000 graphics.

1 comments hidden view all 167 comments
albech (ubuntu-albech) wrote :

My system has been rock solid since #124.
i7/nvidia 250gtx - dual monitor

Thanks for the fix.

Omer Akram (om26er) wrote :

Don't throw a comment just because you see a crash. The issue with Nvidia have been fixed in the latest nvidia drivers. If you are on fglrx then you are totally facing a different issue, try switching between the drivers and see if that proves of any help to you. "me too" in this type of bug reports is useless.

Risto Ronkka (ristoronkka) wrote :

I did update yesterday (14th September) and after that when I try to start Firefox, Thunderbird or Details, (12.04LTS) system logs out. I can start Libreoffice with no problem. Google earth shuts down but does not logout the system. I have old Intel +, nvidia+benq system. When I tried to fix the problem as #124 says and tried logout, there was messages about missing keyring password but logout did happen. Then I tried to change the resolution, disable network with no effect. Something odd looking was on login screen, resolution changed to high resolution but changed back to lower resolution.

This is driving me mad. It may happen when I switch desktops, using CTRL+ALT+arrow keys. Not certain.

Lenovo L412, Ubuntu 12.04 LTS 64-bit. Upgraded from 11.10.

1 comments hidden view all 167 comments
Jonathan Mullins (j-mullins) wrote :

The fix released on 11th Sep 2012 stopped the random logoffs occurring for me - however since updating my machine yesterday (24th Sep 2012) the problem is back again - I see weird pixelated artefacts on my desktop after logging in, and then get logged off shortly after launching Google Chrome. After logging back in the problem is gone. Let me know if you want some log files etc.

I never hit this bug until a very recent update

This first started happening to me not more than a week ago.

Orsolya Vincze (orsolyaaa) wrote :

Just upgraded to 12.04 last night. Random logout happened with Lucid about twice in a year. With 12.04 it happenes when I try to run run_mesquite.sh file in terminal. It's a phylogenetic tree editing program. Pretty annoying issue!!!

I never hit this bug until a very recent update

John Salvatier (jsalvatier) wrote :

I've been hitting this bug for a while now.

Same effect here when using chrome, mostly with videos.
Its an upgrade to 12.10 of a recent 12.04 install nvidia vidcard.
I haven't enabled the nvidia drivers yet, running the default nouveau after the upgrade, i'll try purging whatever is left of nvidia pakages and report back.

Same effect after purging nvidia leftovers and reboot, chrome is unusable.
Not sure about other programs, upgraded yesterday.

After some more searching I've located what caused my problem. I had burg installed (graphical boot) and it did not get updated so it just booted the 3.2 kernel instead of the 3.5 one installed by ubuntu 12.10.
Ofcourse this triggers a lot of problems :) Now that I booted the 3.5 kernel no more sudden restarts.

ronnie_t (ronnietee) wrote :

Confirmed: No crashes since upgrading nvidia-current to 304.43-0ubuntu1~precise~xup1

zzecool (zzecool) wrote :

I have the same exact problem in 12.10 running the latest updates

Im crashing to the login screen without any errors to the Xorg.log ....... whenever i try to play a video .

What i did is uninstall my nvidia 310 drivers ( that was working perfectly , i only got this problem today though i was using 310 for almost a month) and used the open source ubuntu default nouveau and the problem is still here .

So there is nothing to do with the nvidia proprietary drivers. The culprit is somthing else and it isnt fixed yet although the bug says fixed.

zzecool (zzecool) wrote :

I found the culprit .

The problem the xfs font server in the xorg.conf

The fix is to #comment or delete the xfs font paths in the Xorg.conf

Gregory Wells (r-regs) wrote :

Still haven't gotten a fix to this issue. My Xorg.conf doesn't have any xfs font paths. This started as soon as upgraded to Ubuntu 12.04 LTS. Anyone with a vetted fix???

Looks like this bug is affecting me as well. Like may others, I am also running 12.04.1 + nvidia, with 310.14 proprietary drivers and 3.2.0-34.53 kernel. But I am experiencing it under Gnome Classic.

From my recent observations, it ALWAYS happens in the same way:
* always on startup (I log in automatically)
* and after pressing ENTER in a application, be it Google Chrome (the address field, or search field in gmail) or Gnome Terminal. It looks like the trigger is always the ENTER key. I key in a URL, or a command in the terminal and press ENTER, and then it happens, always.

After logging in again, the problem disappears.

Gareth Fare (gareth-fare) wrote :

I had this problem today, If I start Google Chrome or Chromium it logs me out of X.

uname -a gives

Linux garethf-System-Product-Name 3.5.0-19-generic #30-Ubuntu SMP Tue Nov 13 17:48:01 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

and I'm using propriety NVIDIA-Linux-x86_64-310.19

The Xorg.0.log showed a NULL deref in /usr/bin/Xorg. I can only guess that some of the kernel headers must have updated yesterday as it was working fine, but not enough for the nVidia driver not to work. I fixed it by rebuilding the propriety nVidia drivers. All seems to be working fine now, might be related to this so posting just in case it helps anyone.

I'd like to share a 3 hours hint success here, because I used the keywords "ubuntu logout bug" and first landed here.

But my answer was here: ".Xauthority sometimes owned by root, which blocks login"
https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/871667/comments/30

Javier Schwersensky (javisw) wrote :

Thank you to those who filed the bug report and those who worked on a solution. My NVIDIA driver was stable until I made a change in the xorg file (to use two screens). Then the random logouts began with certain applications only (Skype and VirtualBox most notably). The solution proposed here seem to have fixed the issue. I am running 12.04 LTS 64-bit, ASUS laptop with NVIDIA video card, cinnamon desktop.

Menno van Alz (menno-van-alz) wrote :

I've something like that, but with fglrx and KDE.
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1042327

sonmez (sonmezsahut) wrote :

I starting having this problem on my Ubuntu 12.04 since several days ago.

R G Gordon (greygordon) wrote :

I was having the exact same issue as Marcin Domanski #149. In addition, I was having screen artifacts.

Switching from the proprietary Nvidia version current to post-release updates fixed the issue (for 30 minutes now). Hopefully will continue and work for you!

R G Gordon (greygordon) wrote :

Actually, it's broken again. Sorry for the misinformation.

sandeeproop (sandeeproop) wrote :

Me and my team all of them are using Ubuntu 12.04 LTS and from 4-5 days we are also facing the same problem.
While working suddenly system is logged off and all the work which is not saved is lost.
There is no particular steps to reproduce this.
But this is happening for me at least once a day.

LexLythius (lexlythius) wrote :

Same problem as sandeproop above and others.
Ubuntu 12.04 LTS, kernel 3.2.0-40, amd64
AMD Radeon HD 3300 (open source drivers; had proprietary installed but purged them as per wiki.cchtml.com/index.php/Ubuntu_Precise_Installation_Guide#Removing_Catalyst.2Ffglrx ).

Apparently, the X server had a segmentation fault, see attached log.

LexLythius (lexlythius) wrote :

I am also attaching .xsession-errors file.

Note that earlier in the day, compiz had crashed and reopened automatically. But that doesn't always happen, AFAIK.

Illu (illu) wrote :

I have the same problem with ubuntu-studio 13.04. System just randomly logs out, most common when starting up/shutting down a program.

Ubuntu 12.04.2. Ubuntu logs off randomly.
Something unusual happends in my case. When
the screen goes blank, if you do not move
the mouse or press any key, wait for some time,
and then slide your finger on the mousepad, the
system goes back to normal. But if the screen goes
blank (you panic) and press any key immediately
or do some mouse clicks, it goes to the login
screen.

[I also get up to one to three total freeze per day]

System Information:
DistroRelease: Ubuntu 12.04
Uname: Linux 3.5.0-34-generic x86_64
NonfreeKernelModules: wl fglrx
ApportVersion: 2.0.1-0ubuntu17.3
Architecture: amd64
InstallationMedia: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release amd64 (20130213)
InterestingModules: rfcomm bnep bluetooth
MachineType: ASUSTeK COMPUTER INC. U38N
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.5.0-34-generic root=UUID=d3189321-36df-497c-a331-8e942669bf3e ro quiet splash vt.handoff=7
dmi.bios.date: 11/22/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: U38N.204
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: U38N
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrU38N.204:bd11/22/2012:svnASUSTeKCOMPUTERINC.:pnU38N:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnU38N:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: U38N
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.
hciconfig:

syslog:

ciro santoro (cirux88) wrote :

Same problem on Ubuntu 12.04 with HP Pavilion dv5, nvidia geforce with proprietary drivers. Usually I've always Chrome opened.

Download full text (14.3 KiB)

Lubuntu 13.04, just logging out, no sign befre it gonna be, just black screen, audio stopped (one before the other), then no signal for a few minutes, and then I get to the log screen.

Is there any solution? which file sould I check and tell you about?

Thanks!

My PC (long... :D ):
pentium4
    description: Desktop Computer
    product: PROD00000000
    vendor: OEM00000
    width: 32 bits
    capabilities: smbios-2.3 dmi-2.3 smp-1.4 smp
    configuration: boot=normal chassis=desktop cpus=1
  *-core
       description: Motherboard
       product: MS-6540
       vendor: MICRO-STAR INTERNATIONAL CO., LTD
       physical id: 0
     *-firmware
          description: BIOS
          vendor: Phoenix Technologies, LTD
          physical id: 0
          version: 6.00 PG
          date: 01/13/2005
          size: 128KiB
          capacity: 448KiB
          capabilities: isa pci pnp apm upgrade shadowing escd cdboot bootselect socketedrom edd int13floppy360 int13floppy1200 int13floppy720 int13floppy2880 int5printscreen int9keyboard int14serial int17printer int10video acpi usb agp ls120boot zipboot
     *-cpu:0
          description: CPU
          product: Intel(R) Pentium(R) 4 CPU 3.00GHz
          vendor: Intel Corp.
          physical id: 4
          bus info: cpu@0
          version: 15.4.1
          serial: 0000-0F41-0000-0000-0000-0000
          slot: Socket 478
          size: 3GHz
          capacity: 4GHz
          width: 32 bits
          clock: 200MHz
          capabilities: boot fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe constant_tsc pebs bts pni dtes64 monitor ds_cpl cid xtpr
          configuration: id=1
        *-cache:0
             description: L1 cache
             physical id: 8
             slot: Internal Cache
             size: 32KiB
             capacity: 32KiB
             capabilities: synchronous internal write-back
        *-cache:1
             description: L2 cache
             physical id: 9
             slot: External Cache
             size: 1MiB
             capacity: 1MiB
             capabilities: synchronous external write-back
        *-logicalcpu:0
             description: Logical CPU
             physical id: 1.1
             width: 32 bits
             capabilities: logical
        *-logicalcpu:1
             description: Logical CPU
             physical id: 1.2
             width: 32 bits
             capabilities: logical
     *-memory
          description: System Memory
          physical id: 18
          slot: System board or motherboard
          size: 1GiB
          capacity: 2GiB
        *-bank:0
             description: DIMM SDRAM Synchronous
             product: None
             vendor: None
             physical id: 0
             serial: None
             slot: A0
             size: 512MiB
             width: 64 bits
        *-bank:1
             description: DIMM SDRAM Synchronous
             product: None
             vendor: None
             physical id: 1
             serial: None
             slot: A1
             size: 512MiB
             width: 64 bits
     *-cpu:1
          pro...

David Scott (tdavid-scott3) wrote :

I now have this issue, I have noticed that is only occuring with the Google Chrome/Chromium packages. I also noticed that this error resets Xorg. I have included the Xorg.0.log file where the Seg Fault is.

OS : Ubuntu 12.04
Video Driver : NVidia version 319 (Recommended / Stable)
CPU : 8 Core Dual Intel(R) Xeon(R) CPU E5506 @ 2.13GHz
Memory : 16 G

To replicate this error / known bug; simply log in, and start google chrome or chromium, count 2 or 3 seconds and whamo, seg fault.

[Begin Xorg Output]

[ 3260.021] (II) NVIDIA(GPU-0): Vision stereo.
[ 3260.021] (**) NVIDIA(0): Using HorizSync/VertRefresh ranges from the EDID for display
[ 3260.021] (**) NVIDIA(0): device DELL E176FP (CRT-1) (Using EDID frequencies has
[ 3260.021] (**) NVIDIA(0): been enabled on all display devices.)
[ 3260.102] (II) XKB: reuse xkmfile /var/lib/xkb/server-03AF3717FF3AB439A4BAABA686CCB40771CDF520.xkm
[ 3280.265] (II) NVIDIA(GPU-0): Display (DELL E176FP (CRT-0)) does not support NVIDIA 3D
[ 3280.265] (II) NVIDIA(GPU-0): Vision stereo.
[ 3280.265] (**) NVIDIA(0): Using HorizSync/VertRefresh ranges from the EDID for display
[ 3280.265] (**) NVIDIA(0): device DELL E176FP (CRT-0) (Using EDID frequencies has
[ 3280.265] (**) NVIDIA(0): been enabled on all display devices.)
[ 3280.281] (II) NVIDIA(GPU-0): Display (DELL E176FP (CRT-1)) does not support NVIDIA 3D
[ 3280.281] (II) NVIDIA(GPU-0): Vision stereo.
[ 3280.281] (**) NVIDIA(0): Using HorizSync/VertRefresh ranges from the EDID for display
[ 3280.281] (**) NVIDIA(0): device DELL E176FP (CRT-1) (Using EDID frequencies has
[ 3280.281] (**) NVIDIA(0): been enabled on all display devices.)
[ 3942.556]
Backtrace:
[ 3942.557] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7f5f3648ba86]
[ 3942.557] 1: /usr/bin/X (0x7f5f36303000+0x18c92a) [0x7f5f3648f92a]
[ 3942.557] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f5f35629000+0xfcb0) [0x7f5f35638cb0]
[ 3942.557] Segmentation fault at address (nil)
[ 3942.557]
Caught signal 11 (Segmentation fault). Server aborting
[ 3942.557]
Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
[ 3942.557] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 3942.557]
[ 3942.684] (II) evdev: Power Button: Close
[ 3942.684] (II) UnloadModule: "evdev"
[ 3942.684] (II) Unloading evdev
[ 3942.764] (II) evdev: Power Button: Close
[ 3942.764] (II) UnloadModule: "evdev"
[ 3942.764] (II) Unloading evdev
[ 3942.764] (II) evdev: USB2.0 PC CAMERA: Close
[ 3942.764] (II) UnloadModule: "evdev"
[ 3942.764] (II) Unloading evdev

Anton Vasyunin (thevasya) wrote :

Have same Ubuntu behavior in Firefox on page reload while doing rake preview for a website. I'm using ATI Radeon 7790 with proprietary driver.

Here's Xorg log:

Backtrace:
[ 42837.715] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7f4e43821a86]
[ 42837.715] 1: /usr/bin/X (0x7f4e43699000+0x18c92a) [0x7f4e4382592a]
[ 42837.715] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f4e429bf000+0xfcb0) [0x7f4e429cecb0]
[ 42837.715] 3: /lib/x86_64-linux-gnu/libc.so.6 (0x7f4e4182e000+0x14dda4) [0x7f4e4197bda4]
[ 42837.715] 4: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/glesx.so (0x7f4e3b87c000+0x713e8) [0x7f4e3b8ed3e8]
[ 42837.715] 5: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/glesx.so (0x7f4e3b87c000+0x6cddb) [0x7f4e3b8e8ddb]
[ 42837.715] 6: /usr/bin/X (0x7f4e43699000+0x1165d4) [0x7f4e437af5d4]
[ 42837.715] 7: /usr/bin/X (0x7f4e43699000+0x10fd79) [0x7f4e437a8d79]
[ 42837.716] 8: /usr/bin/X (0x7f4e43699000+0x4e8a1) [0x7f4e436e78a1]
[ 42837.716] 9: /usr/bin/X (0x7f4e43699000+0x3d7ba) [0x7f4e436d67ba]
[ 42837.716] 10: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7f4e4184f76d]
[ 42837.716] 11: /usr/bin/X (0x7f4e43699000+0x3daad) [0x7f4e436d6aad]
[ 42837.716] Segmentation fault at address 0x7f4e35051010
[ 42837.716]
Caught signal 11 (Segmentation fault). Server aborting
[ 42837.716]
Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
[ 42837.716] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 42837.716]
[ 42837.752] (II) evdev: Power Button: Close
[ 42837.752] (II) UnloadModule: "evdev"
[ 42837.752] (II) Unloading evdev
[ 42837.756] (II) evdev: Power Button: Close
[ 42837.756] (II) UnloadModule: "evdev"
[ 42837.756] (II) Unloading evdev
[ 42837.760] (II) evdev: Device USB Device: Close
[ 42837.760] (II) UnloadModule: "evdev"
[ 42837.760] (II) Unloading evdev
[ 42837.764] (II) evdev: Device USB Device: Close
[ 42837.765] (II) UnloadModule: "evdev"
[ 42837.765] (II) Unloading evdev
[ 42837.768] (II) evdev: Eee PC WMI hotkeys: Close
[ 42837.768] (II) UnloadModule: "evdev"
[ 42837.768] (II) Unloading evdev
[ 42837.772] (II) evdev: AT Translated Set 2 keyboard: Close
[ 42837.772] (II) UnloadModule: "evdev"
[ 42837.772] (II) Unloading evdev
[ 42837.772] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 42837.774] (II) fglrx(0): Backup framebuffer data.
[ 42837.852] (II) fglrx(0): Backup complete.
[ 42838.027] ddxSigGiveUp: Closing log
[ 42838.027] Server terminated with error (1). Closing log file.

kobb (kobb-p) on 2014-01-05
Changed in xorg (Ubuntu):
assignee: nobody → kobb (kobb-p)
assignee: kobb (kobb-p) → nobody
Reinis Ivanovs (dabas) wrote :

Just happened to me in 13.10, I was logged off without any warning, using Unity and AMD proprietary drivers.

Displaying first 40 and last 40 comments. View all 167 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers